## clutter-1.0 1.26.4%2Bgit2779b932%2Bdfsg

=== debian/changelog ===
clutter-1.0 (1.26.4+git2779b932+dfsg-6) unstable; urgency=medium

  * Extend build test timeout (Closes: #1050665)
  * Drop ancient Breaks

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 18 Oct 2023 11:42:56 -0400

clutter-1.0 (1.26.4+git2779b932+dfsg-5) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Jul 2023 08:04:19 -0400

clutter-1.0 (1.26.4+git2779b932+dfsg-4) experimental; urgency=medium

  * d/p: clutter/meson: Produce all Clutter gir files
  * d/p: po/meson: Use clutter api name for mo files
  * d/p: clutter/meson: Install glx headers in proper subpath
  * d/p: configure.ac: Use proper clutter micro version

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 10 Mar 2023 08:08:04 +0100

clutter-1.0 (1.26.4+git2779b932+dfsg-3) experimental; urgency=medium

  * debian/patches: Prevent crashes when a stage is removed during repaint.
    During tests we're trying to remove a stage while repaint is in
    progress, this not a problem but the gdk frame clock did not handle this
    properly, potentially iterating through an already free'd list.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 08 Mar 2023 18:12:28 +0100

clutter-1.0 (1.26.4+git2779b932+dfsg-2) experimental; urgency=medium

  * debian/patches: Use epsilon to compare floating numbers.
    Fixes i386 test failures

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 08 Mar 2023 00:50:46 +0100

clutter-1.0 (1.26.4+git2779b932+dfsg-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream snapshot from latest commit before archiving the project
  * debian/patches: Refresh
  * debian/patches: Remove test skip, it's already skipped in meson
  * debian/patches: Add patch to fix test failures with glib 2.76
  * debian: build with meson
  * debian/control: Update standards version, no change required
  * debian/clutter-1.0-tests.install: Explicitly install test script files

  [ Simon McVittie ]
  * d/control.in: Drop alternative B-D on libgdk-pixbuf2.0-dev

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 07 Mar 2023 22:05:33 +0100

clutter-1.0 (1.26.4+dfsg-4) unstable; urgency=medium

  * Team upload
  * Revert "d/rules: Stop ignoring test results on mips*el".
    Workaround for #1002690. (Closes: #1001650)

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Dec 2021 14:36:36 +0000

clutter-1.0 (1.26.4+dfsg-3) unstable; urgency=medium

  * Team upload
  * (Build-)Depend on libgl-dev instead of transitional libgl1-mesa-dev
  * Standards-Version: 4.6.0 (no changes required)
  * Drop transition for old debug package migration.
    The transition to -dbgsym for this source package was finished in
    oldstable.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
    This is the default in current toolchains.
  * d/rules: Stop ignoring test results on mips*el.
    According to buildd logs, the tests now pass on these architectures.
    Stop ignoring the result so that we'll catch any regressions.
  * Bump debhelper compat level from 12 to 13
    - Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper
      now does this.
    - debian/rules: Drop --fail-missing argument to dh_missing, which is now
      the default.
  * Add Lintian override for #970275
  * d/rules: Don't let debhelper make all installed-tests data executable

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Oct 2021 19:43:09 +0100

clutter-1.0 (1.26.4+dfsg-2) unstable; urgency=medium

  * Team upload
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * Standards-Version: 4.5.1 (no changes required)
  * d/upstream/metadata: Add

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Nov 2020 09:55:12 +0000

clutter-1.0 (1.26.4+dfsg-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/01_do-not-build-cookbook.patch: Refreshed
    - Drop d/p/clutter-tests-conform-Fix-actor-offscreen-redirect.patch,
      d/p/gdk-Ensure-surface-buffer-scale-is-set.patch,
      d/p/0006-Handle-8-and-10-bits-colour-depth-in-picking-code-11.patch:
      applied upstream
    - debian/control.in: Bump libglib2.0-dev to 2.53.4
    - debian/libclutter-1.0-0.docs: README → README.md
  * debian/control.in: Add several -doc packages to the BDI so the links
    between the gtk-doc files are properly resolved
  * debian/clutter-1.0-tests.install: Install the valgrind suppression file
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 15 Mar 2020 15:24:55 +0100

clutter-1.0 (1.26.2+dfsg-13) unstable; urgency=medium

  [ Simon McVittie ]
  * d/tests/build: Use correct compiler for proposed autopkgtest
    cross-architecture testing support. Thanks, Steve Langasek
    (Closes: #946294)
  * d/tests/build: Fix shellcheck warnings

  [ Laurent Bigonville ]
  * Add d/p/0006-Handle-8-and-10-bits-colour-depth-in-picking-code-11.patch:
    Fix picking functionality for users with 10 bpc hardware, this allows
    applications such as gnome-maps, totem and cheese to process mouse input
    again. (Closes: #931618)
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 09 Jan 2020 01:43:03 +0100

clutter-1.0 (1.26.2+dfsg-12) unstable; urgency=medium

  * Team upload
  * d/rules: Only build documentation if we are building -doc package.
    This should speed up architecture-specific-only builds, like those
    done on buildds.
  * Normalize order of installed file lists (wrap-and-sort -at)
  * Normalize order of dependency lists (wrap-and-sort -at)
  * Don't build gtk-doc documentation under nodoc build profile.
    The gtk-doc-tools dependency continues to be needed even with nodoc,
    because it is needed at autoreconf time.
  * Add mips64el to the list of architectures where tests fail.

