=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: clutter-1.0
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>,
           Rico Tzschichholz <ricotz@ubuntu.com>,
Build-Depends: dbus <!nocheck>,
               debhelper-compat (= 13),
               gnome-pkg-tools,
               gobject-introspection (>= 1.39.0),
               gtk-doc-tools (>= 1.20),
               libatk1.0-dev (>= 2.5.3),
               libcairo2-dev (>= 1.14.0),
               libcogl-dev (>= 1.21.2),
               libcogl-pango-dev (>= 1.14.0),
               libcogl-path-dev,
               libdrm-dev [!hurd-any],
               libgdk-pixbuf-2.0-dev (>= 2.0),
               libgirepository1.0-dev (>= 1.35.8),
               libgl-dev,
               libglib2.0-dev (>= 2.53.4),
               libgtk-3-dev (>= 3.16),
               libgudev-1.0-dev [linux-any],
               libinput-dev (>= 0.19.0) [linux-any],
               libjson-glib-dev (>= 0.12.0),
               libpango1.0-dev (>= 1.30),
               libudev-dev (>= 136) [linux-any],
               libxcomposite-dev (>= 1:0.4),
               libxdamage-dev,
               libxext-dev,
               libxi-dev,
               libxkbcommon-dev,
               meson (>= 0.49.2),
               xauth <!nocheck>,
               xsltproc,
               xvfb <!nocheck>,
Build-Depends-Indep: libatk1.0-doc <!nodoc>,
                     libcairo2-doc <!nodoc>,
                     libclutter-gtk-1.0-doc <!nodoc>,
                     libcogl-doc <!nodoc>,
                     libgdk-pixbuf2.0-doc <!nodoc>,
                     libglib2.0-doc <!nodoc>,
                     libgtk-3-doc <!nodoc>,
                     libpango1.0-doc <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/clutter
Vcs-Git: https://salsa.debian.org/gnome-team/clutter.git
Homepage: https://blogs.gnome.org/clutter/

Package: libclutter-1.0-0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: libclutter-1.0-common,
Multi-Arch: same
Description: Open GL based interactive canvas library
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.

Package: libclutter-1.0-common
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: foreign
Description: Open GL based interactive canvas library (common files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the common files, such as translations.

Package: libclutter-1.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-clutter-1.0 (= ${binary:Version}),
         libatk1.0-dev (>= 2.5.3),
         libcairo2-dev (>= 1.10),
         libclutter-1.0-0 (= ${binary:Version}),
         libcogl-dev (>= 1.17.3),
         libcogl-pango-dev (>= 1.17.3),
         libcogl-path-dev (>= 1.17.3),
         libdrm-dev [!hurd-any],
         libgdk-pixbuf-2.0-dev,
         libgl-dev,
         libglib2.0-dev (>= 2.53.4),
         libgtk-3-dev,
         libinput-dev (>= 0.4.0) [linux-any],
         libjson-glib-dev (>= 0.12),
         libpango1.0-dev (>= 1.30),
         libudev-dev (>= 136) [linux-any],
         libwayland-dev [linux-any],
         libx11-dev,
         libxcomposite-dev,
         libxdamage-dev,
         libxext-dev,
         libxfixes-dev,
         libxi-dev,
         libxkbcommon-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: pkg-config,
Suggests: libclutter-1.0-doc,
Description: Open GL based interactive canvas library (development files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the development files.

Package: libclutter-1.0-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Suggests: devhelp,
Description: Open GL based interactive canvas library (documentation)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the documentation.

Package: clutter-1.0-tests
Section: misc
Architecture: any
Depends: libclutter-1.0-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Open GL based interactive canvas library (installed test programs)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains installed test programs.

Package: gir1.2-clutter-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Provides: gir1.2-cally-1.0 (= ${binary:Version}),
          gir1.2-cluttergdk-1.0 (= ${binary:Version}),
          gir1.2-clutterx11-1.0 (= ${binary:Version}),
Multi-Arch: same
Description: GObject introspection data for the Clutter 1.0 library
 This package contains introspection data for the Clutter scene
 graph library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
