## clutter-1.0 1.26.4+dfsg

=== debian/changelog ===
clutter-1.0 (1.26.4+dfsg-4build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 10:46:38 +0100
