=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>,
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>,
            Rico Tzschichholz <ricotz@ubuntu.com>,
-Build-Depends: dbus <!nocheck>,
+Build-Depends: autopoint,
+               dbus <!nocheck>,
                debhelper-compat (= 13),
                gnome-pkg-tools,
                gobject-introspection (>= 1.39.0),
@@ -19,7 +20,7 @@
                libcogl-pango-dev (>= 1.14.0),
                libcogl-path-dev,
                libdrm-dev [!hurd-any],
-               libgdk-pixbuf-2.0-dev (>= 2.0),
+               libgdk-pixbuf-2.0-dev (>= 2.0) | libgdk-pixbuf2.0-dev (>= 2.0),
                libgirepository1.0-dev (>= 1.35.8),
                libgl-dev,
                libglib2.0-dev (>= 2.53.4),
@@ -34,7 +35,6 @@
                libxext-dev,
                libxi-dev,
                libxkbcommon-dev,
-               meson (>= 0.49.2),
                xauth <!nocheck>,
                xsltproc,
                xvfb <!nocheck>,
@@ -47,7 +47,7 @@
                      libgtk-3-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/clutter
 Vcs-Git: https://salsa.debian.org/gnome-team/clutter.git
 Homepage: https://blogs.gnome.org/clutter/
@@ -57,6 +57,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libclutter-1.0-common,
+Breaks: cinnamon-session (<< 2.6.2),
 Multi-Arch: same
 Description: Open GL based interactive canvas library
  Clutter is an Open GL based interactive canvas library, designed for creating
@@ -87,7 +88,7 @@
          libcogl-pango-dev (>= 1.17.3),
          libcogl-path-dev (>= 1.17.3),
          libdrm-dev [!hurd-any],
-         libgdk-pixbuf-2.0-dev,
+         libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
          libgl-dev,
          libglib2.0-dev (>= 2.53.4),
          libgtk-3-dev,
