=== debian/tests/control ===
Tests: build
Depends: build-essential,
         dbus,
         libclutter-1.0-dev,
         xauth,
         xvfb,
Restrictions: allow-stderr superficial

Tests: installed-tests
Depends: clutter-1.0-tests,
         dbus (>= 1.8),
         gnome-desktop-testing,
         libgl1-mesa-dri,
         xauth,
         xvfb,
