## clutter-1.0 1.26.4+git2779b932+dfsg

=== debian/changelog ===
clutter-1.0 (1.26.4+git2779b932+dfsg-7build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:29:51 +0000

clutter-1.0 (1.26.4+git2779b932+dfsg-7build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:09:53 +0000

clutter-1.0 (1.26.4+git2779b932+dfsg-7build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:05:56 +0000

clutter-1.0 (1.26.4+git2779b932+dfsg-7) unstable; urgency=medium

  * autopkgtest: Allow stderr for mesa's zink errors
  * debian/control: Build-Depend on dh-sequence-gir
  * debian/control: Update pkgconfig → pkgconf
  * Stop using debian/control.in and dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Feb 2024 17:25:12 -0500
