=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,7 @@
 space:= $(empty) $(empty)
 
 %:
-	dh $@ --buildsystem=meson --with gir,gnome
-
-override_dh_autoreconf:
+	dh $@ --buildsystem=meson --without autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -60,3 +58,5 @@
 else
 	dbus-run-session -- xvfb-run -a dh_auto_test -- --timeout-multiplier 3
 endif
+
+override_dh_gnome_clean:
