=== debian/tests/control ===
--- 
+++ 
@@ -13,3 +13,4 @@
          libgl1-mesa-dri,
          xauth,
          xvfb,
+Restrictions: allow-stderr
