=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg" \
https://download.gnome.org/sources/clutter/([\d\.]+[02468])/ \
	clutter@ANY_VERSION@\.tar\.xz
